package com.ruoyi.system.controller;

import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import com.ruoyi.common.core.web.domain.AjaxResult;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import com.ruoyi.common.log.enums.BusinessType;
import com.ruoyi.common.log.annotation.Log;
import com.ruoyi.common.core.utils.poi.ExcelUtil;
import javax.servlet.http.HttpServletResponse;
import org.springframework.web.bind.annotation.GetMapping;
import com.ruoyi.common.security.annotation.RequiresPermissions;
import java.util.List;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.domain.SnSslLog;
import org.springframework.beans.factory.annotation.Autowired;
import com.ruoyi.system.service.ISnSslLogService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.core.web.controller.BaseController;

@RestController
@RequestMapping({ "/SnSslLog" })
public class SnSslLogController extends BaseController
{
    @Autowired
    private ISnSslLogService snSslLogService;
    
    @RequiresPermissions({ "system:SnSslLog:list" })
    @GetMapping({ "/list" })
    public TableDataInfo list(final SnSslLog snSslLog) {
        this.startPage();
        final List<SnSslLog> list = this.snSslLogService.selectSnSslLogList(snSslLog);
        return this.getDataTable((List)list);
    }
    
    @RequiresPermissions({ "system:SnSslLog:export" })
    @Log(title = "ssl证书缓存记录", businessType = BusinessType.EXPORT)
    @PostMapping({ "/export" })
    public void export(final HttpServletResponse response, final SnSslLog snSslLog) {
        final List<SnSslLog> list = this.snSslLogService.selectSnSslLogList(snSslLog);
        final ExcelUtil<SnSslLog> util = (ExcelUtil<SnSslLog>)new ExcelUtil((Class)SnSslLog.class);
        util.exportExcel(response, (List)list, "ssl证书缓存记录数据");
    }
    
    @RequiresPermissions({ "system:SnSslLog:query" })
    @GetMapping({ "/{id}" })
    public AjaxResult getInfo(@PathVariable("id") final Long id) {
        return this.success((Object)this.snSslLogService.selectSnSslLogById(id));
    }
    
    @RequiresPermissions({ "system:SnSslLog:add" })
    @Log(title = "ssl证书缓存记录", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody final SnSslLog snSslLog) {
        return this.toAjax(this.snSslLogService.insertSnSslLog(snSslLog));
    }
    
    @RequiresPermissions({ "system:SnSslLog:edit" })
    @Log(title = "ssl证书缓存记录", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody final SnSslLog snSslLog) {
        return this.toAjax(this.snSslLogService.updateSnSslLog(snSslLog));
    }
    
    @RequiresPermissions({ "system:SnSslLog:remove" })
    @Log(title = "ssl证书缓存记录", businessType = BusinessType.DELETE)
    @DeleteMapping({ "/{ids}" })
    public AjaxResult remove(@PathVariable final Long[] ids) {
        return this.toAjax(this.snSslLogService.deleteSnSslLogByIds(ids));
    }
}
